# MockCameraParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

MockCameraParams({required String imageFileUri, bool? refreshOnEachFrame})

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
imageFileUri ↔ String
  The URI of the image file to be used as a mock camera preview image.
  getter/setter pair
refreshOnEachFrame ↔ bool?
  If enabled, the mock camera will refresh the preview image on each frame. Default is false.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited